# pbx-status(1)

Coventry, June 2021

```
pbx-status [options] uri

```

## Description

Sends status request to a locally running coventry server, and waits to be
signaled a reply or reports errors.  This utility can both count active
registrations and dump them out to the display,

## Options

* **--agent**
  List registry entries for active extensions with agent identifier.
* **--calls**
  List active calls in status detail report.
* **--display**
  List registry entries for active extensions with display name..
- **--level=**_0-9_
  Specify coventry server logging level.
* **--quiet**
  Only return exit code, produce no output.
* **--registry**
  List registry entries for active extensions to the terminal, including
  address of endpoint and time remaining before expiration.
* **--token**
  List registry entries for active extensions with current bearer token.
* **--help**
  Outputs help screen for the user.

## Exit Status

Exit status can be used to determine command results in shell scripts.

* **0**
  Command sent and successfully processed.
* **1**
  Command send resulted in an error or is invalid.
* **2**
  Command timed out without any response signaled.
* **3**
  Error sending to message queue.
* **4**
  Message queue or shm ipc not found or inaccessible.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/coventry/issues/new>.

## Copyright

Copyright © 2020-2023 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
